namespace _2023._10._16;

public class MyClass
{
    private string message;

    //Paraméter nélküli konstruktor

    public MyClass()
    {
        message = "Üdvözöllek a MyClass osztályban!";
    }

    //Paraméteres konstruktor

    public MyClass(string customMessage)
    {
        message = customMessage;
    }

    //Metódus, amely kiírja az üzenetet

    public void Uzenet()
    {
        System.Console.WriteLine($"Az üzenet: {message}");
    }
}
class Program
{
    static void Main(string[] args)
    {
        //Példány létrehozása a paraméter nélküli konstruktorral
        MyClass mc1 = new MyClass();
        mc1.Uzenet();

        //Példány létrehozása a paraméteres konstruktorral
        MyClass mc2 = new MyClass("Ez egy egyedi üzenet!");
        mc2.Uzenet();
    }
}
